package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CloudRuleEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by 365 on 2020/8/12.
 */
@Repository
public interface CloudRuleMapper {

    void save(CloudRuleEntity entity);

    CloudRuleEntity getById(int id);

    List<CloudRuleEntity> queryByConditions(Map<String, Object> map);

    void deleteByUserId(int userId);
}
